Denial of service in Graphite2

Published: 2018-03-14 14:02:21 | Updated: 2018-03-14
Severity Low
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2018-7999
CVSSv3 3.6 [CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L/E:P/RL:O/RC:C]
CWE ID CWE-476
Exploitation vector Local
Public exploit Public exploit code for vulnerability #1 is available.
Vulnerable software Graphite2
Vulnerable software versions Graphite2 1.3.11.0
Vendor URL SIL Non-Roman Script Initiative

Security Advisory

1) NULL pointer dereference

Description

The vulnerability allows a local attacker to cause DoS condition on the target system.

The weakness exists in the Segment.cpp code due to NULL pointer dereference. A local attacker can submit a crafted font type file, trigger memory corruption and cause the service to crash.

Remediation

Install update from vendor's website.

External links

https://github.com/silnrsi/graphite/issues/22

Back to List